Kerbal Space Program - Bug #13031

Undock breaks ship
10/18/2016 08:17 PM - tlaguz

Status: Updated Start date: 10/18/2016
Severity: Normal % Done: 10%
Assignee:

Category: Gameplay

Target version: 1.3.0

Version: 1.3.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

What happens: https:/www.youtube.com/watch?v=HvXviyQOsos
Savegame enclosed.
Ship name: LanderK Ship

Steps | made to this point:

1. Reached Mun's orbit

2. Rescued Kerbal from the orbit of the mun

3. Decoupled lander (ORBITER - TR-2C Stack Separator - Calmp-O-Tron Docking Port Jr. - LANDER)
4. Docked lander to orbiter using Calmp-O-Tron Docking Port Jr.

5. Can't undock as shown on the video.

PS.
Link to savefile: https://1drv.ms/u/s!AsUivwyzoKY 3jlsdVvKa8fg0gtlg3A , uploading files in redmine returns 500.

History

#1 - 11/03/2016 02:25 AM - tlaguz

1.2.1 - can reproduce

#2 - 06/25/2017 02:46 PM - bewing
- Status changed from New to Ready to Test
- Target version set to 1.3.0

- % Done changed from 0 to 80

It looks like your game got corrupted. Attempting to undock in your savegame produces an exception error.
If you are continuing to run into this problem in version 1.3, please also try this tool to fix your savegame:
http:/forum.kerbalspaceprogram.com/index.php?/topic/32913-cant-undock-bug-how-to-fix/&do=findComment&comment=2647440

#3 - 09/27/2017 01:56 AM - tlaguz
- Version changed from 1.2.0 to 1.3.0
1.3.0 - can reproduce.

| tried to fix my save, but | don't see anything wrong there. | don't know how exactly docking mechanism work in code and my case is different from
forum thread you linked.

| started new game already, | just hope this won't happen again.

#4 - 06/15/2019 02:59 AM - nestor
- Status changed from Ready to Test to Updated
- % Done changed from 80 to 10
